// Attempt to solve the system of equations as a mtrix using
// Gaussian Elimination and back substitution
void solveMatrix_mod2(int a[2][3]) {
    int m = 2, n = 3;

    // Gaussian Elimination mod 2
    int row, column, rows_after;
    for(row=0; row<m-1; row++){
        for(rows_after=row+1; rows_after<m; rows_after++) {
            int term = a[rows_after][row];
            for(column=0; column<n; column++) {
                int value = (a[rows_after][column] - term * a[row][column]) % 2;
                a[rows_after][column] = (value == -1) ? 1 : value;
            } // column
        } // rows_after
    } // row

    // Back substitution mod 2
    for(row=m-1; row>=0; row--) {
        for(rows_after=row-1; rows_after>=0; rows_after--) {
            int term = a[rows_after][row];
            for(column=n-1; column>0; column--) {
                int value = (a[rows_after][column] - term * a[row][column]) % 2;
                a[rows_after][column] = (value == -1) ? 1 : value;
            } // column
        } // rows_after
    } // rows

} // solveMatrix_mod2()
